@import url('satoshi.css');

:root{
    --text-color: rgb(18, 73, 0);
    --selection-color: rgba(18, 72, 0, 0.3);
    --box-shadow: rgba(18 ,73, 0, 0.15);
    --background-color: rgb(254, 255, 238);
    --background-nav: rgb(249, 255, 167);
    --background-color-kachel: rgb(113, 113, 104);
    --fliesstext-size: 1.3rem;
    --main-font: satoshi-variable, arial, sans-serif;
    --nav-font: 'Courier New', Courier, monospace;
    font-size: 15px;
}
*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    /*border: 1px solid black;*/
}
body{
    background-color: var(--background-color);
    color: var(--text-color);
    width: 95%;
    margin: 0 auto;
    font-family: var(--main-font);
}
::selection{
    background-color: var(--selection-color);
}

h1{
    font-size: 2rem;
    font-weight: 600;
}
h2{
    text-align: left;
}
.date{
    font-size: 1.1rem;
    font-weight: 750;
}
nav{
    display: flex;
    justify-content: center;
    margin: auto;
    font-size: 1.2rem;
    font-family: var(--nav-font);
}
.nav-top{
    width: 100%;
    min-width: fit-content;
    font-weight: bold;
    top: 0;
}

nav a{
    margin: 0 2rem;
    padding: 1rem 0;
}
/*.main-content{
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: max-content;}*/
.nav-link{
    text-decoration: none;
    color: var(--text-color);
    transition: 0.3s ease;
}
.nav-link:hover{
    transition: 0.5s ease;
    filter: blur(1px);
}
.nav-glitzer{
    cursor:default;
    padding: 1rem 0;
    height: 5px;
    color: var(--text-color);
    transition: 0.3s ease;
}
.nav-glitzer:hover{
    transition: 0.5s ease;
    filter: blur(2px);
}
.infotext{
    text-align: center;
    font-family: 'Albert Sans', sans-serif;
    font-size: 2rem;
    font-weight:500;
    width: 40%;
    min-width: 500px;
    margin: 2lh auto;
    text-transform: lowercase;
}

.home-link {
    color: var(--text-color);
    text-decoration: underline var(--text-color) dotted 2px;
}
.home-link:hover{
    text-decoration: underline var(--text-color) solid 2px;
}
.project-site{
    width: 95%;
    height: 94dvh;
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-evenly;
    margin: 0 auto;
    
}
.proj-descr{
    padding: 1lh 2lh;
    width: 50%;
    height: 100%;
    overflow: scroll;
    overflow-wrap: break-word;
    line-height: 1.7em;
}
.proj-descr-content {
    font-size: var(--fliesstext-size);
    font-weight:500;
    letter-spacing: 0.01em;
    margin: 1lh 0 2lh 0;
}
.proj-descr-content p{
    margin-bottom: 0.5lh;
}
.tech-cat p{
    margin-bottom: .5lh;
}
.tech-prop p{
    margin-bottom: .5lh;
}
.proj-descrs-content p:last-child{
    margin: 0;
}

.proj-descr-content-grid{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    margin-bottom: 0.5lh;
    margin-top: 1lh;
    font-size: var(--fliesstext-size);
    font-weight: 500;
    letter-spacing: 0.01em;
}
.grid-full-span{
    grid-column: 1 / -1;
}
.tech-cat {
    font-weight: 650;
    padding-bottom: 0.5lh;
}
.tech-prop {
    grid-column: 2 / span 2;
}

/*.proj-descr-content p + p:not(.no-indent){
    text-indent: 2.5rem;
}*/

.proj-img{
    height: 100%;
    overflow: scroll;
    scroll-behavior: smooth;
    margin-bottom: 4lh;
    max-width: 50%;
    padding: 1lh 0 4lh 0;
}
img{
    width: 100%;
    display: block;
    object-fit: contain;
    margin-bottom: 0.5lh;
}
.proj-img::-webkit-scrollbar {
    display: none;
}
.proj-descr::-webkit-scrollbar {
    display: none;
}
body::-webkit-scrollbar {
    display: none;
}
table{
    border-collapse: separate;
}
td {
    font-size: var(--fliesstext-size);
    font-weight:500;
    white-space: pre;
    vertical-align: text-top;
    line-height: 1em;
    padding-left: 1lh;
    padding-bottom: 1lh;
}
td:first-child{
    padding: 0;
}
@media only screen and (max-width: 600px) {
    :root{
        font-size: 18px;
    }
    body{
        width: 100%;
    }
    nav{
        position: fixed;
        width: 100%;
        top: 0;
        background-color: var(--background-nav);
        margin: 0 auto;
    }
    .nav-glitzer{
        visibility: hidden;
        position: absolute;
    }
    .project-site{
        flex-wrap: wrap;
        margin-top: 3lh;
    }    
    .proj-descr{
        width: 100%;
        padding: 1lh .5lh;
        display: block;
    }
    .proj-img{
        overflow:auto;
        width: 100%;
        max-width: 100%;
        height: auto;
        padding: 0;
        display: block;
    }
    img{
        width: 100%;
    }
    .proj-descr{
        overflow: hidden;
        height: auto;
        max-width: 100%;
padding: 0;
    }


}